Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMFlavor

    java.lang.Object
      |
      +--com.sun.wbem.cim.CIMFlavor

public class CIMFlavor
extends java.lang.Object
implements java.io.Serializable

A class to encapsulate the different CIM qualifier flavors, which specify overriding and inheritance rules. These rules specify how qualifiers are transmitted from classes to derived classes, or from classes to instances.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static int` | `DISABLEOVERRIDE` this qualifier cannot be overriden
`static int` | `ENABLEOVERRIDE` this qualifier is overridable
`static int` | `RESTRICTED` this qualifier applies only to the class in which it is declared
`static int` | `TOSUBCLASS` this qualifier is inherited by any subclass
`static int` | `TRANSLATE` this qualifier can be specified in multiple locales (language and country combination).

Constructor Summary
`CIMFlavor(int flavor)` Creates a new CIMFlavor object with the specified flavor

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this CIMFlavor to the specified object.
`int` | `getFlavor()` Returns the qualifier flavor
`static CIMFlavor` | `getFlavor(int flavor)` Returns a CIMFlavor object with the specified predefined flavor.
`java.lang.String` | `toMOF()` Returns a MOF representation of the CIMFlavor.
`java.lang.String` | `toString()` Returns a String representation of the CIMFlavor.
`java.lang.String` | `toXml()` Returns an XML representation of this CIM flavor.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENABLEOVERRIDE

    public static final int ENABLEOVERRIDE

  this qualifier is overridable

### DISABLEOVERRIDE

    public static final int DISABLEOVERRIDE

  this qualifier cannot be overriden

### RESTRICTED

    public static final int RESTRICTED

  this qualifier applies only to the class in which it is declared

### TOSUBCLASS

    public static final int TOSUBCLASS

  this qualifier is inherited by any subclass

### TRANSLATE

    public static final int TRANSLATE

  this qualifier can be specified in multiple locales (language and country combination).

Constructor Detail

### CIMFlavor

    public CIMFlavor(int flavor)

  Creates a new CIMFlavor object with the specified flavor
  Parameters:
    `flavor` - the flavor. Must be one of the predefined flavor values (0 through 4). A value outside this range returns an error message.
  Throws:
    java.lang.IllegalArgumentException -

Method Detail

### getFlavor

    public static CIMFlavor getFlavor(int flavor)

  Returns a CIMFlavor object with the specified predefined flavor.
  Parameters:
    `flavor` - the flavor. Must be one of the predefined flavor values (0 through 4). A value outside this range returns an error message.
  Throws:
    java.lang.IllegalArgumentException -

### getFlavor

    public int getFlavor()

  Returns the qualifier flavor
  Returns:
    the integer representing the CIM qualifier flavor

### equals

    public boolean equals(java.lang.Object obj)

  Compares this CIMFlavor to the specified object.
  Overrides:
    equals in class java.lang.Object
  Parameters:
    `obj` - the object to compare with.
  Returns:
    true if the objects are the same; false otherwise.

### toString

    public java.lang.String toString()

  Returns a String representation of the CIMFlavor. This method is intended to be used only for debugging purposes, and the format of the returned string may vary between implementations. The returned string may be empty but may not be null.
  Overrides:
    toString in class java.lang.Object
  Returns:
    string representation of this flavor

### toMOF

    public java.lang.String toMOF()

  Returns a MOF representation of the CIMFlavor.
  Returns:
    a string representation of this flavor in Managed Object Format (MOF)

### toXml

    public java.lang.String toXml()

  Returns an XML representation of this CIM flavor.
  Returns:
    An XML representation of this CIM flavor, using XML elements from the default XML namespace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD